## org.apache.tools.zip
Class UnsupportedZipFeatureException.Feature

    java.lang.Object
      org.apache.tools.zip.UnsupportedZipFeatureException.Feature

Enclosing class:
  UnsupportedZipFeatureException

    public static class UnsupportedZipFeatureException.Feature

extends java.lang.Object

ZIP Features that may or may not be supported.

Field Summary
`static UnsupportedZipFeatureException.Feature` `DATA_DESCRIPTOR` The entry uses a data descriptor.
`static UnsupportedZipFeatureException.Feature` `ENCRYPTION` The entry is encrypted.
`static UnsupportedZipFeatureException.Feature` `METHOD` The entry used an unsupported compression method.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ENCRYPTION

    public static final UnsupportedZipFeatureException.Feature ENCRYPTION

  The entry is encrypted.

### METHOD

    public static final UnsupportedZipFeatureException.Feature METHOD

  The entry used an unsupported compression method.

### DATA_DESCRIPTOR

    public static final UnsupportedZipFeatureException.Feature DATA_DESCRIPTOR

  The entry uses a data descriptor.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`